import e from "../utils/index.js";
import t from "../channels/reusable.js";
import n from "../color/index.js";
import r from "./change.js";
//#region ../../node_modules/khroma/dist/methods/rgba.js
var i = (i, a, o = 0, s = 1) => {
	if (typeof i != "number") return r(i, { a });
	let c = t.set({
		r: e.channel.clamp.r(i),
		g: e.channel.clamp.g(a),
		b: e.channel.clamp.b(o),
		a: e.channel.clamp.a(s)
	});
	return n.stringify(c);
};
//#endregion
export { i as default };
